app-id: com.fossgalaxy.fggl.demo
runtime: org.freedesktop.Platform.GL.default
runtime-version: '21.08'
sdk: org.freedesktop.Sdk
command: fggl-demo
modules:
  - name: glfw
    buildsystem: cmake-ninja
    builddir: true
    sources:
      - type: archive
        url: https://github.com/glfw/glfw/releases/download/3.3.4/glfw-3.3.4.zip
        sha256: bbd2c42c660b725e9755eb417e40b373f0d4c03138c9b2e210d02cd308bd99cd
    cleanup:
      - /include
      - /lib/pkgconfig
  - modules/glm-0.9.9.8.json
  - shared-modules/glew/glew.json
  - shared-modules/glu/glu-9.json
  - modules/googletest.yml
  - name: fggl
    buildsystem: cmake
    sources:
      - type: dir
        path: ../
